fabric-samples/interest_rate_swaps/network/scripts/simulate-commit.sh
Will Lahti 0254d67b37 QueryApprovalStatus -> SimulateCommitChaincodeDef
Update samples now that QueryApprovalStatus has been renamed
to SimulateCommitChaincodeDefinition.

FAB-15831 #done

Change-Id: I4e12ca2c8424bf8d6537e77e1a9de7fd3723636d
Signed-off-by: Will Lahti <wtlahti@us.ibm.com>
2019-07-02 13:37:20 -04:00

38 lines
1.4 KiB
Bash

#
# Copyright IBM Corp All Rights Reserved
#
# SPDX-License-Identifier: Apache-2.0
#
simulateCommit() {
echo "===================== Simulating the commit of the chaincode definition for ${CORE_PEER_LOCALMSPID} ===================== "
local rc=1
local starttime=$(date +%s)
# continue to poll
# we either get a successful response, or reach TIMEOUT
while
test "$(($(date +%s) - starttime))" -lt "$TIMEOUT" -a $rc -ne 0
do
echo "Attempting to simulate committing the chaincode definition for ${CORE_PEER_LOCALMSPID} ...$(($(date +%s) - starttime)) secs"
set -x
peer lifecycle chaincode simulatecommit -o irs-orderer:7050 --channelID irs --signature-policy "AND(OR('partya.peer','partyb.peer','partyc.peer'), 'auditor.peer')" --name irscc --version 1 --init-required --sequence 1 >&log.txt
res=$?
set +x
test $res -eq 0 || continue
let rc=0
for var in "$@"
do
grep "$var" log.txt &>/dev/null || let rc=1
done
done
echo
cat log.txt
if test $rc -eq 0; then
echo "===================== Simulating the commit of the chaincode definition successful for ${CORE_PEER_LOCALMSPID} ===================== "
else
echo "!!!!!!!!!!!!!!! Simulate commit chaincode definition result for ${CORE_PEER_LOCALMSPID} is INVALID !!!!!!!!!!!!!!!!"
echo "================== ERROR !!! FAILED to execute End-2-End Scenario =================="
echo
exit 1
fi
}